#pragma once
#include <Exam_HelperStructs.h>
#include <chrono>
#include <vector>

class Thinker final {
public:

	struct HouseMemory {
		bool newHouse{ true };
		HouseInfo info;
		std::chrono::steady_clock::time_point lastSaw;
	};
	Thinker() = default;

	~Thinker() = default;
	Thinker(const Thinker&) = default;
	Thinker& operator=(const Thinker&) = default;
	Thinker(Thinker&&) = default;
	Thinker& operator=(Thinker&&) = default;

	void CheckIfNewHouse(const HouseInfo& newHouse);
private:
	std::vector<HouseMemory> m_HousesMemory{};
};
